.FI
.ll 67
.ad
.m1 5
.m2 5
.m3 3
.m4 2
.pl 60
.he |GP1000 Peripheral Diagnostics||August 1988|
.sp 10
.bs INTRODUCTION
.bs GENERAL
     GP1000 peripheral diagnostics consists of a software package that
performs diagnostics on all major GP1000 peripheral subsystems as shown
in Figure 1 and listed here in Table 1:
.sp 2
.ce 
GP1000 Peripheral Controllers
.ce
(Table 1)
.bd i .5i
  ZENDEX ZX564 Multibus I/O Board }  1/4" SCSI Tape 
  ZX-288 SCSI/Clock-Cal. Board    }      Subsystem
+ TANDBERG TDC 1/4" Tape Drive    }

+ CIPRICO TM1000 Tape Controller  }  1/2" Tape Drive
+ CIPHER 1/2" Tape Drive          }      Subsystem

+ SYSTECH Host Adapter            }  Terminal Controller
+ SYSTECH Cluster Controller      }      Subsystem
  Various CRT's, Printers, etc.   }

+ EXCELAN 301 Ethernet Controller }  Ethernet Interface
                                  }      Subsystem

+ XYLOGICS 451 Disk Controller    }              
+ CDC 9720-500 Disk               }  Fixed Disk   
+ CDC 9720-850 Disk               }      Subsystem
  NT 8408 Disk                    }
  NT 8414 Disk                    }
.be
.sp
.fo |Top Level Design Spec.|Rev 1.3|Page %|
.pp Picture GP1000 Peripheral Set Block Diagram
.m1 1
.m2 2
.m3 3
.m4 2

     Those subsystem components listed with a '+' in Table 1 (above)
contain built-in self-tests developed by the respective OEM 
of the peripheral.  The GP1000 peripheral diagnostics described
herein are designed to interface with these self-tests by 
invoking them and reporting the results they generate.\c
.fn *
For both the fixed disks and the CIPHER 1/2" Tape Drive it is either
not possible or infeasible to invoke self-test remotely from the
host.  The diagnostics will provide step-by-step procedures on how to 
run through the self-tests manually.
.fe
These built-in self-test diagnostics, coupled with the custom-written 
diagnostic tests, enable the peripherals to be tested more thoroughly 
than would be possible with only one subset or the other.

     GP1000 diagnostics incorporate menu driven software to increase the
user-friendliness and usefulness of the tests.  VT100-compatible terminals
use scrolling menus to allow the operator to scroll through and select 
highlighted options; similar capability exists for SUN terminals.  All 
other terminals are considered to be the equivalent of hardcopy "dumb" 
terminals.  In these cases, menu options are printed out and selected 
via numbers typed in by the user.

     The diagnostic software described herein has been designed to
maximize ease of maintenance, software readability, and modular 
construction.  Software documentation has been designed in, rather
than added on.  These procedures are consistent with professional
software development methods.
.es
.bs PLAN

     The diagnostics described herein are designed to test and exercise
the GP1000 peripherals only.  No attempt will be made to do any testing
or diagnosing on GP1000 processor node cards or other hardware.  The
GP1000 peripherals consist of both Multibus controller cards and the
actual peripherals attached to these cards.  Both controller cards and
peripherals are to be tested.
    These diagnostics will verify close to 100% of the
.us major
functionality and 
.us major
features of all peripheral subsystems, producing results that will,
with a high degree of confidence, distinguish between failures on
controllers and failures on actual devices.  These diagnostics will
be divided into two major categories:
.bd i .5i
1. Self-Test and basic diagnostics running on 
   raw  hardware that will  invoke all of the
   OEM  built-in  peripheral  self-tests,  in
   addition  to  testing  Multibus-accessible
   on-board internal registers and controller
   RAM space;   these  diagnostics  will  run
   STANDALONE without MACH.

2. Operational/functional  type  diagnostics, 
   running on  MACH, that  exercise the major 
   functional  operations of  each peripheral 
   device, such as  reading/writing blocks of 
   data to tapes and disks,  formatting tapes 
   and disks, erasing, rewinding, etc.
.be 
The goal of these diagnostics is to be able to diagnose down to
the field replaceable unit (FRU) level and provide confidence
that a system is functional.

All of the diagnostics for the peripherals will be uploaded either 
from the 1/4-inch SCSI tape, the hard disk, or from a serial port.  
If one of these subsystems fails, the other can serve as a backup for 
running diagnostics.  The diagnostics are uploaded to a node in 
the GP1000, where they execute in that node's RAM.
.es 
.bs Supervisor Menu Program\c
.fn *
Note: This is a brief description of the mechanics of the
diagnostic menu program.  A more complete description will
be forthcoming in the Field Service Diagnostic Description
Manual.
.fe
.bs VT100-compatible video CRT's
     The Supervisor Menu Program represents the user interface to GP1000
peripheral diagnostics.  The menu program for VT100-compatible terminals
will display menus in the generic format illustrated in Figure 2.
.pp Picture Generic Menu Format

     As shown, the current selection is highlighted in reverse video. 
The current selection may be changed by scrolling up and down with the
arrow keys, the space bar, or the "u/d" (up/down) letter keys.  Scrolling 
the highlight bar enables different menu selections.  An operator
selects/activates a particular menu entry either by scrolling to the
desired selection and entering carriage return <CR>, or by entering
the number key associated with the test, followed by <CR>. 

     The 
.us All Tests 
selection will run all of the listed tests in the current menu.  A summary
of PASS/FAIL results is displayed at the conclusion of an ALL TESTS
selection.

     In order to provide some further flexibility, the operator may pick
several selections by scrolling to two or more entries and entering
"s" (for (s)elect) for each entry, which will place an asterisk (*)
beside those tests selected (Figure 3).
.pp Picture Run-Time Options Menu

     Scrolling to an entry already marked by an asterisk and
entering "s" again will 
.us de-select
the entry and erase the asterisk.  All tests marked by an asterisk
may then be executed by entering <CR>.  They will execute
.us in the order selected.
.bs Run-Time Options Menu
     The Run-Time Options Menu item shown in Figure 2 (menu item n+2),
if selected, activates a parameter set-up menu not directly related to 
executing any particular test.  When the operator selects this option, 
the menu in Figure 4 appears.  This menu allows the user to set up a 
loop count for a test, suppress the output of error code messages, halt 
on errors during loops, log the results of a test session in a file, or
enter default peripheral device names in preparation for running ALL TESTS.  
Should the operator set up a diagnostic to execute in a loop, entering ^C 
will terminate the loop
.us in most cases, but not all.  
Exiting the Run-Time Options Menu returns the user to the previous menu 
that was displayed.  (Note: the loop count will be independently settable
for each diagnostic; the ability to log a test session will not be
operational in the first software releases.) 
.ul 4
Once a user sets the parameters in the Run-Time Options Menu
and exits, those options are valid for all subsequent diagnostic
menus that are invoked, until the configuration parameters are
changed by re-invoking this menu and changing the parameters.
The Run-Time Options Menu item appears on all diagnostic menus and 
may be invoked any time a diagnostic is not active.
.es
.bs Configuration Display
     Item number 7 in Figure 5, if selected by the operator,
will display the device I/O configuration of the Butterfly -- 
that is, all devices that appear 'alive' and respond to
polling via the BMA at the time of diagnostic boot.
.es
.bs On-line help 
     On-line help is available on any menu entry for the currently
displayed menu by scrolling to the desired entry on VT100-compatible
terminals and typing "?", or by typing "?<Menu entry #>" on
hardcopy terminals (for example, typing "?3" for help on menu item
3.  The help screen menus will be designed primarily to decode
error numbers that can appear during diagnostic testing.  An operator
will not have to refer to off-line documentation as often in order
to determine what an error code means.

     If "?" is typed while in the Main Menu, a release message will
be displayed describing the new features and software fixes of the
current diagnostic software release version.
.es
.bs Hardcopy terminals
     The Supervisor Menu Program for hardcopy terminals is the same
as described above for VT100 terminals with the following exceptions:
.bd i 1i
1.  There is no highlighting of menu entries.  
    An operator must choose an entry by selecting 
    its number followed by a <CR>; therefore:
2.  Scrolling among menu entries is not an available feature.
3.  There is no capability of picking and choosing 
    two or more tests via the "s" key.  
.be 
.es
.es
.es
.es
.pa
.bs ZENDEX MOTHERBOARD-CLOCK-TANDBERG TAPE DIAGNOSTICS (SUBSYSTEM #1)
.bs SUBSYTEM #1 DIAGNOSTIC DESCRIPTION
     The ZENDEX Multibus I/O Expansion MotherBoard, SCSI-Clock 
Daughterboard, and 1/4" TANDBERG Subsytem Diagnostics (herein 
referred to as the SCSI Tape Cartridge Subsystem) are invoked 
by selecting item #1 from the start-up Menu shown in Figure 5.  
The subsystem is treated as one distinct unit; the self-test/basic 
menu, running stand-alone, is shown here: 

.ce 
SCSI TAPE CARTRIDGE SUBSYSTEM SELF-TEST/BASIC DIAGNOSTICS
.bd i 1i
 1. Motherboard General Purpose test
 2. Daughterboard SCSI-chip Internal Register test
 3. Daughterboard Clock-chip Internal Register test
 4. Daughterboard Clock Read/Write test
 5. 1/4" Tape Drive Self-Test #1
 6. 1/4" Tape Drive Self-Test #2
 7. All Tests
 8. Run-Time Options 
 9. Exit
.be
The operational/functional menu, running under MACH, is listed here:

.ce 
SCSI TAPE CARTRIDGE SUBSYSTEM OPERATIONAL DIAGNOSTICS
.bd i 1i
 1. 1/4" Tape Drive Programmed I/O test
 2. 1/4" Tape Drive Normal/Block DMA test
 3. 1/4" Tape Drive Read/Write test
 4. 1/4" Tape Drive EOM test
 5. 1/4" Tape Drive Write Protect test
 6. 1/4" Tape Drive Rewind/Erase test
 7. All Tests
 8. Run-Time Options 
 9. Exit
.be
.bs ZENDEX ZX564 Motherboard General Purpose test 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The ZX654 General Purpose test verifies that the Multibus I/O
Expansion board "is alive" and can be subsequently configured.  The
test does this by both reading and writing certain data patterns
from/to the 8259A Interrupt Controller and 8237 DMA Controller
internal registers, and the external, stand-alone Status/Control and
Address Extension registers.
.be
.us Subsystem Components Tested
.bd i .5i
Top-level components of ZX564 Motherboard.
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI Motherboard General Purpose Test"
.be
.us Error Reporting
.bd i .5i
Passed:
MOTHERBOARD GENERAL PURPOSE TEST PASSED;

Failed:
SCSI CONTROLLER BOARD NOT RESPONDING
DMA CHANNEL 0 ADDRESS    REGISTER READ/WRITE FAILURE: $5A5A
DMA CHANNEL 0 ADDRESS    REGISTER READ/WRITE FAILURE: $A5A5
DMA CHANNEL 0 ADDRESS    REGISTER READ/WRITE FAILURE: $0F0F
DMA CHANNEL 0 ADDRESS    REGISTER READ/WRITE FAILURE: $F0F0
DMA CHANNEL 0 WORD COUNT REGISTER READ/WRITE FAILURE: $5A5A
DMA CHANNEL 0 WORD COUNT REGISTER READ/WRITE FAILURE: $A5A5
DMA CHANNEL 0 WORD COUNT REGISTER READ/WRITE FAILURE: $0F0F
DMA CHANNEL 0 WORD COUNT REGISTER READ/WRITE FAILURE: $F0F0
STATUS-TEMPORARY READ/WRITE REGISTER FAILURE
.be
.es
.bs ZENDEX Daughterboard SCSI-chip Internal Register test 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This test will verify that the SCSI chip on the ZX-288
daughterboard is able to answer queries when polled.
.be
.us Subsystem Components Tested
.bd i .5i
ZX-288 VLSI SCSI chip on ZENDEX daughterboard.
.be
.us Special Procedures or Prompts
.bd i .5i
SCSI CHip Internal Register Test
.be
.us Error Reporting
.bd i .5i
Passed:
DAUGHTERBOARD SCSI CHIP TEST PASSED;

Failed:
SCSI CONTROLLER BOARD NOT RESPONDING
SCSI MODE REGISTER READ/WRITE FAILURE
SCSI PARITY/INTERRUPT REGISTER READ FAILURE
.be
.es
.bs ZENDEX Daughterboard Clock-chip Internal Register test 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The internal register clock chip test verifies that the chip 
can be read by the host via the Multibus and verifies that it 
is operational.  The internal clock chip registers are written/read
with specific data patterns.
.be
.us Subsystem Components Tested
.bd i .5i
ZENDEX ZX-288 VLSI Clock/Calendar Chip
.be
.us Special Procedures or Prompts
.bd i .5i
Clock Chip Internal Register Test
.be
.us Error Reporting
.bd i .5i
Passed:
CLOCK CHIP INTERNAL REGISTER TEST PASSED;

Failed:
SCSI CONTROLLER BOARD NOT RESPONDING

0xXX WRITE FAILURE ON ONE SECOND REGISTER
0xXX WRITE FAILURE ON TEN SECOND REGISTER
0xXX WRITE FAILURE ON ONE MINUTE REGISTER
0xXX WRITE FAILURE ON TEN MINUTE REGISTER
0xXX WRITE FAILURE ON ONE HOUR   REGISTER
0xXX WRITE FAILURE ON TEN HOUR   REGISTER
0xXX WRITE FAILURE ON ONE DAY    REGISTER
0xXX WRITE FAILURE ON TEN DAY    REGISTER
0xXX WRITE FAILURE ON ONE MONTH  REGISTER
0xXX WRITE FAILURE ON TEN MONTH  REGISTER
0xXX WRITE FAILURE ON ONE YEAR   REGISTER
0xXX WRITE FAILURE ON TEN YEAR   REGISTER
0xXX WRITE FAILURE ON WEEK       REGISTER
.be
.es
.bs ZENDEX Daughterboard Clock Read/Write test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The Clock Read/Write test actually sets the system clock 
and reads it back.
.be
.us Subsystem Components Tested
.bd i .5i
ZENDEX ZX-288 VLSI Clock Chip
.be
.us Special Procedures or Prompts
.bd i .5i
"Clock Chip Time/Date Test

Enter date in following format: mm/dd/yy ::
Enter day of week (numerically --> 0-Sun, 1-Mon, 2-Tue...):
Enter time in following format: hh:mm:ss ::
.be
.us Error Reporting
.bd i .5i
Clock was set to WEEKDAY, DATE, TIME
Value read back from clock is WEEKDAY, DATE, TIME

SCSI CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs TANDBERG Tape Host-activated Self-Test #1 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The purpose of this self-test is to invoke that portion of 
the TANDBERG Tape Cartridge self-test which does not overwrite 
the tape itself.
.be
.us Subsystem Components Tested
.bd i .5i
- TANDBERG EPROM
- TANDBERG Scratch Pad RAM
- TANDBERG Drive Controller
- TANDBERG SCSI Controller
- TANDBERG Data Buffer
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI Tape Drive Self Test #1

This test, although it does not read or write data to the
tape cartridge, requires the presence of a scratch tape.
Insert scratch tape and hit any alphanumeric key to continue:
Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SELF-TEST #1 PASSED
COMMAND STATUS = 0xXX
(Several bytes of unit status follow)

Failed:
SCSI CONTROLLER BOARD NOT RESPONDING
OPEN FAILED
LOAD ERROR OCCURRED DURING SELF-TEST

SELF-TEST #1 FAILED
COMMAND STATUS = 0xXX;
(Several bytes of unit status follow)
SELF-TEST ERROR

The Error Codes can be found in the TANDBERG
3620 Reference Manual, Publication No. 5671,
Revision no. 1987-1, Appendices A and B.
.be
.es
.bs TANDBERG Tape Host-activated Self-Test #2 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
TANDBERG Self-Test #2 first executes self-test #1 and then 
performs a specially designed, worst-case quality tape read/write 
test;  this test is given a special password since its rigorous
nature will make it prone to failure on marginal tape cartridges.
Extra status information is written to the screen in the event of
test failure.
.be
.us Subsystem Components Tested
.bd i .5i
- Tape Track Integrity
- Drive Backspace Capability
- TANDBERG Erase Circuitry
- Rewrite Limit
- Rewind Circuitry
- Streaming Mode Capability
- No Rereads
- TANDBERG CRC circuitry
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI Tape Drive Self Test #2

THIS TEST WRITES DATA TO THE TAPE CARTRIDGE AND REQUIRES
THE USE OF A SCRATCH TAPE.  TANDBERG SELFTEST #2, WHICH THIS
DIAGNOSTIC INVOKES, IS A VERY TIGHT, STRINGENT TEST THAT ALLOWS
A VERY LIMITED NUMBER OF RETRIES WHEN EXERCISING THE READ AND
WRITE CAPABILITIES OF THE DRIVE.  FOR THIS REASON, THIS TEST
MAY FAIL ON OCCASION IF THE TAPE IS NEW OR OF POOR QUALITY,
OR IF THE TAPE HAS BEEN OVERUSED.
'A' to abort, 'C' to continue:


"Enter password:"

If password is correct:
"Insert scratch tape;
Hit spacebar to continue"
.be
.us Error Reporting
.bd i .5i
Passed:
SELF-TEST #2 PASSED
COMMAND STATUS = 0xXX
(Several bytes of unit status follow)

Failed:
SCSI CONTROLLER BOARD NOT REPSONDING
OPEN FAILED
LOAD ERROR OCCURRED DURING SELF-TEST

SELF-TEST #2 FAILED;
COMMAND STATUS = 0xXX;
(Several bytes of unit status follow)
Extended error sense code = XX
SELF-TEST ERROR

The error codes for Self-Test #2 can be
found in the TANDBERG TDC 3620 Reference
Manual, Publication No. 5671, Revision
No. 1987-1, Appendices A & B.
.be
.es
.bs ZENDEX Daughterboard Programmed I/O test\c
.fn *
Note: the programmed I/O test will use the SCSI driver
to read/write single bytes to the tape without
using DMA.  The Block DMA test will use the SCSI driver to 
read/write blocks of data to the tape , using DMA.
The simple read/write test will use the UNIX TAR command
to read/write the SCSI tape.
.fe
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This test verifies the ability of the SCSI interface and the 
TANDBERG Tape Cartridge to transfer small blocks of data 
without using DMA.
.be
.us Subsystem Components Tested
.bd i .5i
-Registers of ZX-288
-SCSI Interface
-TANDBERG read/write capability
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI Programmed I/O Test

 This test writes data to the tape cartridge and requires the 
 use of a scratch tape; 'A' to abort or 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter name of tape drive (default: 'rsmt1':)"
"Enter 8 characters of random data: "
"Insert scratch tape (should be a 3M/600A or DEI/Series II Gold tape or equivalent)
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI PROGRAMMED I/O DIAGNOSTIC PASSED;

Failed:
PROGRAMMED I/O TEST FAILED:
OPEN ERROR ON DEVICE UNDER TEST
WRITE ERROR ON SCSI DEVICE
CLOSE ERROR ON DEVICE UNDER TEST
HANG (TIMEOUT) DURING OPEN/WRITE/CLOSE OF TAPE DEVICE (CHECK CABLE CONNECTIONS)
READ ERROR ON SCSI DEVICE
DATA MISCOMPARE ON SCSI DEVICE
.be
.es
.bs ZENDEX Daughterboard Normal/Block DMA test 
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This diagnostic tests the ability of the SCSI Tape Cartridge 
subsystem to read/write large blocks of data using DMA.
.be
.us Subsystem Components Tested
.bd i .5i
- SCSI Interface
- Tape Cartridge read/write ability
- ZX-288 DMA Controller
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI DMA data test
 
 This test writes data to the tape cartridge and requires the 
 use of a scratch tape; 'A'to abort or 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rsmt1'):"

"Insert scratch tape (should be a 3M/600A or DEI/Series II Gold tape or equivalent)
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI NORMAL/BLOCK DMA DIAGNOSTIC PASSED;

Failed:
NORMAL/BLOCK DMA TEST FAILED;
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
WRITE ERROR ON DEVICE UNDER TEST
READ ERROR ON DEVICE UNDER TEST
DATA MISCOMPARE ON READ/WRITE VALUES ($5A,$A5,$0F,$F0,$00,$FF,$29,$60)
HANG (TIMEOUT DURING OPEN/WRITE/CLOSE OF TAPE DEVICE (CHECK CABLE CONNECTIONS)
.be
.es
.bs TANDBERG Tape Read/Write test 
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This test uses the UNIX Tar command to write large blocks of
data to the tape cartridge.  The user is prompted to invoke either
the short or long version of this test.  Only the short version
uses the UNIX 'cmp' utility to verify results when TARing back from
tape to disk.
.be
.us Subsystem Components Tested
.bd i .5i
TANDBERG Read/Write Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI tape archive read/write test
 
 This test writes data to the tape cartridge and requires the 
 use of a scratch tape; 'A' to abort or 'C' to continue:"

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rsmt1'):"
"Short or long version of test [s/l]?: "
"Insert scratch tape (should be a 3M/600A or DEI/Series II Gold tape or equivalent)
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI READ/WRITE TEST PASSED;

Failed:
OPEN ERROR ON READ FILE
CREATE FILE SYSTEM CALL FAILED
COMPARE ERROR ON DATA READ BACK FROM TAPE
TAR WRITE ERROR
TAR READ ERROR
HANG (TIMEOUT DURING TAPE ARCHIVE (CHECK CABLE CONNECTIONS)
.be
.es
.bs TANDBERG Tape EOM (End-Of-Media) test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The End-Of-Media test checks to make sure that
the Tape Drive can recognize EOM.  A RETENSION
COMMAND will be issued to accomplish this.
.be
.us Subsystems Components Tested
.bd i .5i
- TANDBERG End-Of-Media verify circuitry
- TANDBERG Read circuitry
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI End-Of-Media test

 Insert scratch tape (should be a 3M/600A or DEI/Series II Gold tape or equivalent
 Hit spacebar to continue:"

"Enter name of tape device (default: 'rsmt1'):"

"This test takes about 4 minutes..."
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI END-OF-TAPE TEST PASSED

Failed:
SCSI END-OF-TAPE TEST DID NOT DETECT EOM
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
RETENSION COMMAND FAILED
HANG (TIMEOUT) DURING RETENSION OF TAPE DEVICE (CHECK CABLE CONNECTIONS)
.be
.es
.bs TANDBERG Tape Write Protect test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The Write Protect Test will verify that the
1/4-inch SCSI tape cannot be overwritten with
the write protection mechanism in place.
.be
.us Subsystem Components Tested
.bd i .5i
TANDBERG write protect mechanism
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI write protect test

 This test has the potential to destroy tape cartridge
 data and requires the use of a scratch tape;
 'A' to abort or 'C' to continue: "

If continue:
"Enter password: "

If password is correct:
"Enter name of tape device (default: 'rsmt1'): "

"Set the write protect mechanism on the scratch tape
 cartridge to the SAFE position and insert the tape
 (should be a 3M/600A or DEI/Series II Gold tape or equivalent)
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI WRITE PROTECT TEST PASSED;

Failed:
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
WRITE PROTECT ERROR: WRITE PROTECT MECHANISM DID NOT WORK
HANG (TIMEOUT) DURING WRITE PROTECT TEST (CHECK CABLE CONNECTIONS)
.be
.es
.bs TANDBERG Tape Rewind/Erase test 
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This diagnostic exercises the rewind and erase features of the 
SCSI Tape.
.be
.us Subsystem Components Tested
.bd i .5i
- TANDBERG Erase circuitry
- TANDBERG Rewind circuitry
.be
.us Special Procedures or Prompts
.bd i .5i
"SCSI Rewind/Erase test

 This test erases ALL data on the tape cartridge and requires the 
 use of a scratch tape; 'A' to abort or 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rsmt1'): "
"Insert scratch tape (should be a 3M/600A or DEI/Series II Gold tape or equivalent
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
SCSI REWIND/ERASE TEST PASSED

Failed:
ERASE TEST FAILED: STATUS = 0xXX
REWIND TEST FAILED: STATUS = 0xXX
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
HANG (TIMEOUT) DURING ERASE (CHECK CABLE CONNECTIONS)
HANG (TIMEOUT) DURING REWIND (CHECK CABLE CONNNECTIONS)
.be
.es
.es
.bs ZENDEX TAPE CARTRIDGE SUBSYSTEM PHASE I DIAGNOSTIC COVERAGE
Minor features not covered:
.bd i .5i
- Direct Read/Write of SCSI signals
- Clock Chip Interrupt
- Parity test/generation on SCSI chip
- Pseudo DMA mode
- TANDBERG Copy, Request Sense, Read
  Block Limits Commands
.be
.es
.es
.pa
.bs XYLOGICS 451 DISK CONTROLLER/FIXED DISK DIAGNOSTICS (SUBSYSTEM #2) 
.bs SUBSYSTEM #2 DIAGNOSTIC DESCRIPTION
     The XYLOGICS 451 fixed disk subsystem diagnostics are invoked
by selecting item 2 from the Menu shown in figure 5.  The
following menu for the self-test/basic diagnostics appears:

.ce 
FIXED DISK SUBSYSTEM SELF-TEST/BASIC DIAGNOSTICS
.bd i 1i
 1. Disk Cntrlr Internal Register Test
 2. Disk Cntrlr Self-Test
 3. Disk Cntrlr DMA Self-Test
 4. Disk Cntrlr Maintenance Buffer Test 
 5. Disk Drive Read Status Test
 6. Disk Drive Reset Test
 7. Disk Drive Self-Test
 8. Formatter Utility
 9. All Tests
10. Run-Time Options 
11. Exit
.be
If running in MACH, the operation/functional menu appears:

.ce 
FIXED DISK SUBSYSTEM OPERATIONAL DIAGNOSTICS
.bd i 1i
1. Disk Drive Seek Test
2. Disk Read/Write Block Test
3. Disk Drive Reset Test
4. Disk Drive Read Label Test
5. Read/Write Specified Sector
6. File copy/compare Test
7. All Tests
8. Run-Time Options Menu
9. Exit
.be
.bs XYLOGICS Disk Controller Internal Register Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This diagnostic simply tries to read and write the 6 internal 
registers of the 451 Controller to determine if the Controller 
is 'alive'.
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 Controller Internal Registers
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Controller Board Internal Register Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit spacebar to continue"
.be
.us Error Reporting
.bd i .5i
Passed:
FIXED DISK CONTROLLER INTERNAL REGISTER TEST PASSED

Failed:
FIXED DISK CONTROLLER INTERNAL REGISTER TEST FAILED
CONTROLLER RESET ERROR
RELOCATION REGISTER (LOW) FAILED READ/WRITE
RELOCATION REGISTER (HIGH) FAILED READ/WRITE
ADDRESS REGISTER (LOW) FAILED READ/WRITE
ADDRESS REGISTER (HIGH) FAILED READ/WRITE
CONTROL/STATUS REGISTER SET AACK BIT ERROR
CONTROL/STATUS REGISTER CLEAR AACK BIT ERROR
DISK CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs XYLOGICS Fixed Disk Controller Self-Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This diagnostics performs the same self-test on the 451 
Controller that occurs on power up; it does not read, 
write, or otherwise affect the disk(s);
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Microprocessor
- 451 Controller Internal RAM
- 451 Controller Header Shift Register
- 451 Controller Buffer RAM
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Controller Board Self Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit space bar to continue:" 
.be
.us Error Reporting
.bd i .5i
Passed:
CONTROLLER TYPE-CODE RETURNED = xxx
CONTROLLER SELF-TEST PASSED

Failed:
DISK CONTROLLER SELF-TEST FAILED;
     STATUS REGISTER    = 0xXX;
     STATUS BYTE 2 CODE = 0xXX;

where XX represents two-digit hex codes;
The error codes may be found in the
XYLOGICS Model 451 User's Manual, Publication
No. 166-451-001, Revision B2, Page 18.

CONTROLLER RESET FAILED
IOPB EXECUTION TIMED OUT
DISK CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs XYLOGICS Disk Controller DMA Self-Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This diagnostic verifies whether the 451 can successfully
DMA to and from system memory.
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 Controller DMA Circuitry
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Controller Board DMA Self Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
CONTROLLER DMA TEST PASSED

Failed:
DISK CONTROLLER DMA SELF-TEST FAILED;
     STATUS REGISTER    = 0xXX;
     STATUS BYTE 2 CODE = 0xXX;

where XX represents two-digit hex codes;
The error codes may be found in the
XYLOGICS Model 451 User's Manual, Publication
No. 166-451-001, Revision B2, Page 18.

CONTROLLER RESET FAILED
CONTROLLER DMA ATTEMPT FAILED
CONTROLLER DMA DATA MISCOMPARE
DISK CONTROLLER BOARD NOT RESPONDING
IOPB EXECUTION TIMED OUT
.be
.es
.bs Maintenance Buffer Load/Dump Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This diagnostic tests the chaining ability of the 451 Controller 
by DMA-ing 200H bytes of data from system memory into a 451
FIFO and back again.
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 Controller DMA Circuitry
- 451 Controller FIFO Buffer
- 451 Controller Chaining Ability
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Controller Board Maintenance Buffer Load/Dump Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
CONTROLLER BUFFER LOAD/DUMP TEST PASSED

Failed:
CONTROLLER BUFFER LOAD/DUMP TEST FAILED;
     STATUS REGISTER    = 0xXX;
     STATUS BYTE 2 CODE = 0xXX;

where XX represents two-digit hex codes;
The error codes may be found in the
XYLOGICS Model 451 User's Manual, Publication
No. 166-451-001, Revision B2, Page 18.

CONTROLLER RESET FAILED
CONTROLLER MAINTENANCE BUFFER TEST DATA MISCOMPARE
CONTROLLER BOARD NOT RESPONDING
IOPB EXECUTION TIMEOUT
.be
.es
.bs Disk Drive Read Status Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The Disk Drive Read Status Test first
attempts to read the drive status; it
then reads the disk label parameters
as a comparison to the status parameters;
.be
.us Subsystem Components Tested
.bd i .5i
Label Sector disk integrity
Controller DMA capability
Multibus Interface
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Read Status/Label Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit spacebar to continue:"

"Enter unit number [0-3] (default = 0): "

"1. FUJI-EAGLE
 2. CDC-9720-500
 3. CDC-9720-850
 4. NT 8408 (500)
 5. NT 8414 (850)

 Enter drive type [1-5] (default = 4): "
.be
.us Error Reporting
.bd i .5i
Passed:
DISK DRIVE READ STATUS PASSED,
     followed by status and label parameters

Failed:
DISK DRIVE READ STATUS TEST FAILED;
     STATUS REGISTER    = 0xXX;
     STATUS BYTE 2 CODE = 0xXX;

where XX represents two-digit hex codes;
The error codes may be found in the
XYLOGICS Model 451 User's Manual, Publication
No. 166-451-001, Revision B2, Page 18.
     
DISK CONTROLLER BOARD NOT RESPONDING
IOPB EXECUTION TIMEOUT
READ HEADER/ECC COMMAND FAILED
CONTROLLER READ STATUS COMMAND FAILED
CONTROLLER READ LABEL COMMAND FAILED
CONTROLLER RESET FAILED
.be
.es
.bs Disk Drive Reset Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The Disk Drive Reset Test exercises the
ability of the Disk Drive under test to
recalibrate its disk heads and seek them to
the zero position.
.be
.us Subsystem Components Tested
.bd i .5i
Disk Drive Recalibration Circuitry
Controller Multibus Interface
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Reset Test

 Set the WRITE PROTECT switch on the disk drive under
 test to the ENABLE (ON) position;
 Hit spacebar to continue:

 Enter unit number [0-3] (default = 0):

 1. FUJI-EAGLE
 2. CDC-9720-500
 3. CDC-9720-850
 4. NT 8408 (500)
 5. NT 8414 (850)

 Enter drive type [1-5] (default = 4):"
.be
.us Error Reporting
.bd i .5i
Passed:
DRIVE RESET TEST PASSED

Failed:
DRIVE RESET TEST FAILED
     STATUS REGISTER    = 0xXX;
     STATUS 2 BYTE CODE = 0xXX;

where XX represents two-digit hex codes;
The error codes may be found in the
XYLOGICS Model 451 User's Manual, Publication
No. 166-451-001, Revision B2, Page 18.

CONTROLLER RESET FAILED
READ HEADER/ECC COMMAND FAILED
IOPB EXECUTION TIMEOUT
DISK CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs Fixed Disk Self-Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Invokes the self-test resident on the disk itself
(as opposed to the controller).
.be
.us Subsystem Components Tested
.bd i .5i
Fixed Disk general hardware
.be
.us Special Procedures or Prompts
.bd i .5i
In lieu of invoking the disk drive self-test
remotely from the host, the user is prompted
to invoke a series of self-tests manually
via the drive front panel interface.  Manual
self tests can only be run on CDC disk drives.
.be
.us Error Reporting
.bd i .5i
LED's on the drive front panel interface indicate
the pass/fail status of manually invoked diagnostics.
.be
.es
.bs Fixed Disk Formatter Utility
     The Formatter Utility is a separate program which is not
part of the diagnostics per se.  It formats the disk,
marks bad sectors, etc.  A complete discussion of this 
utility is beyond the scope of this document.  A password
will be required to invoke this utility.
.es
.bs Disk Drive Seek Test
.us Type 
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The Seek test moves the heads of the selected disk drive to 
the beginning sector and then to the end sector, repeating
the process five times.
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- Disk Drive Seek Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Seek test

 WARNING: although this test does not intentionally write
 to the disk, disk data may nonetheless be lost when
 testing a marginal drive...
 'A' to abort, "C' to continue: "

"Enter disk drive unit number [0-3] (default = 0): "

"                     Heads  Cylinders  Sectors
 1. FUJI-EAGLE         20       842       46
 2. CDC 9720-500       10      1217       66
 3. CDC 9720-850       15      1217       66
 4. NT 8408 (500)       8      1496       65
 5. NT 8414 (850)      14      1496       65

 Enter disk drive type number [1-5] (default = 4): "
.be
.us Error Reporting
.bd i .5i
Passed:
DISK DRIVE SEEK TEST PASSED

Failed:
DISK DRIVE SEEK TEST FAILED
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
DISK IOCTL READ ERROR
HANG (TIMEOUT) DURING DISK SEEKS (CHECK CABLE CONNECTIONS)
.be
.es
.bs Disk Read/Write Block Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This diagnostic test writes a sector's worth of data to the disk, 
reads it back, and checks the returned data with the original 
data.  The sector used is located near the end of the disk space.
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 Controller DMA Circuitry
- 451 Controller Internal RAM
- 451 Controller Internal FIFO
- Disk Read/Write Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Read/Write selected data pattern test

 This diagnostic writes and reads data to and from the
 specified disk drive on or near the last sector.  While it
 makes every attempt to restore the original data on the
 disk, data loss may nonetheless occur on a marginal drive.
 'A' to abort, 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter disk drive unit number [0-3] (default = 0): "

"                     Heads  Cylinders  Sectors
 1. FUJI-EAGLE         20       842       46
 2. CDC 9720-500       10      1217       66
 3. CDC 9720-850       15      1217       66
 4. NT 8408 (500)       8      1496       65
 5. NT 8414 (850)      14      1496       65

 Enter drive type [1-5] (default = 4): "
.be
.us Error Reporting
.bd i .5i
Passed:
DISK DRIVE READ/WRITE TEST PASSED;

Failed:
DISK READ/WRITE TEST FAILED;
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
DISK IOCTL READ ERROR
DISK IOCTL WRITE ERROR
DISK DRIVE READ ERROR
DISK DRIVE WRITE ERROR
DISK DRIVE DATA MISCOMPARE ERROR
HANG (TIMEOUT) DURING XYREAD
.be
.es
.bs Disk Drive Reset Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The 'reset drive' test clears any drive fault and returns the 
drive to Cylinder 0 (or recalibrates the drive).
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 Controller DMA Circuitry
- Disk Drive Reset/Recalibration Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Reset Test

 WARNING: drive reset should be done on a disk drive
 that does not contain any actively mounted file systems.
 Not heeding this warning may result in loss of data on
 the drive that has the root file system mounted.
 'A' to abort, 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter disk drive unit number [0-3] (default = 0): "
.be
.us Error Reporting
.bd i .5i
Passed:
DRIVE RESET TEST PASSED;

Failed:
DISK DRIVE RESET FAILED;
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
HANG (TIMEOUT) DURING DRIVE RESET
DISK IOCTL RESET ERROR
.be
.es
.bs Disk Drive Read Label Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Executing the Read Label Test returns the following information: 
     - Disk label checksum
     - Label version id (magic #)
     - Number of read/write heads
     - Number of cylinders
     - Number of sectors/track (less spares)
     - Number of bytes/sector (overhead inc.)
     - Number of spare sectors for slipping
     - Number of spare tracks for slipping
     - Number of alternate cylinders
     - Interleave factor
     - Sector offset of defect list
     - Sector offset of bad sector list
     - Sector offset of unslippable sector map
     - Disk id string
     - Partitions sizes
.be
.us Subsystem Components Tested
.bd i .5i
- 451 Controller Multibus Interface
- 451 DMA Circuitry
- Read Drive Status Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive Read Label Test

 Enter disk drive unit number [0-3] (default = 0): "
.be
.us Error Reporting
.bd i .5i
Passed:
READ DRIVE LABEL PASSED:
Status Information:
       :
       :  (see 'Purpose' section above)
       :

Failed:
READ DRIVE LABEL FAILED;
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
HANG (TIMEOUT) DURING READ LABEL TEST
DISK IOCTL READ ERROR
.be
.es
.bs File Copy/Compare Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The File Copy/Compare Test copies a file to disk, comparing it with
the original using the Unix 'cmp' facility.  This test is useful
for diagnosing disk controller FIFO errors not found by the
Controller ECC logic.  This test is best used in a loop.
.be
.us Subsystem Components Tested
.bd i .5i
- Disk Controller ECC logic
- Disk Controller FIFO hardware
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk file Copy/Compare Test"
.be
.us Error Reporting
.bd i .5i
Passed:
DISCOPY/COMPARE DIAGNOSTIC PASSED

Failed:
DISK FILE COPY FAILED
DISK FILE DATA MISCOMPARE
HANG (TIMEOUT) DURING FILE COPY/COMPARE
.be
.es
.bs Read/Write Specified Sector Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The Read/Write Specified Sector Test allows a privileged user to
test the sector of his choice using a test pattern of his choice.
.be
.us Subsystem Components Tested
.bd i .5i
- Disk Read/Write Circuitry
- Multibus Interface
- Disk Seek Capability
- Integrity of specific sector
.be
.us Special Procedures or Prompts
.bd i .5i
"Disk Drive user-specified sector read/write test

 WARNING: THIS DIAGNOSTIC WRITES AND READS DATA TO AND
 FROM THE SPECIFIED DISK DRIVE ON A USER-SPECIFIED SECTOR
 WITH USER-SPECIFIED DATA.  WHILE IT MAKES EVERY ATTEMPT
 TO RESTORE THE ORIGINAL DATA ON THE DISK, DATA LOSS MAY
 NONETHELESS OCCUR ON A MARGINAL DRIVE.
 'A' to abort, 'C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter unit number [0-3] (default = 0): "

"                     Heads  Cylinders  Sectors
 1. FUJI-EAGLE         20       842       46
 2. CDC 9720-500       10      1217       66
 3. CDC 9720-850       15      1217       66
 4. NT 8408 (500)       8      1496       65
 5. NT 8414 (850)      14      1496       65

 Enter drive type [1-5] (default = 4): "

"Enter cylinder:
 Enter head:
 Enter sector"


{If the user enters a sector on or near the root partition, the following
warning will appear:

"WARNING: TEST WILL READ/WRITE IN OR NEAR ROOT PARTITION.
 DO YOU WISH TO CONTINUE [y/n]?"}

"Enter hex data pattern (1 byte, i.e., 2 hex digits): "
.be
.us Error Reporting
.bd i .5i
Passed:
USER-SPECIFIED SECTOR READ/WRITE TEST PASSED

Failed:
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
DISK DRIVE READ ERROR
DISK DRIVE WRITE ERROR
DISK DRIVE IOCTL READ ERROR
DISK DRIVE IOCTL WRITE ERROR
HANG (TIMEOUT) DURING SECTOR READ/WRITE
DISK DRIVE DATA MISCOMPARE ERROR
.be
.es
.es
.bs XYLOGICS 451 PHASE I DIAGNOSTIC COVERAGE
Minor Features not covered:
.bd i .5i
- NOP command
- Write Track Headers Capability
- Read Track Headers Capability
- Write Header/Data/ECC  Capability
- Set Drive Size Capability
.be
.es
.es
.pa
.bs EXCELAN 301 ETHERNET CONTROLLER DIAGNOSTICS (SUBSYSTEM #3)
.bs SUBSYSTEM #3 DIAGNOSTIC DESCRIPTION
     The Ethernet Controller subsystem diagnostics are invoked
by selecting item 3 from the Menu shown in figure 5.  For 
self-test/basic testing running on the raw hardware the 
following menu appears: 

.ce 
ETHERNET CONTROLLER SUBSYSTEM SELF-TEST/BASIC DIAGNOSTICS
.bd i 1i
1. Ethernet Controller Self-Test
2. All Tests
3. Run-Time Options 
4. Exit
.be
     For MACH (Operational/Functional) testing running on MACH, the 
following menu would appear:

.ce 
ETHERNET CONTROLLER SUBSYSTEM OPERATIONAL DIAGNOSTICS
.bd i 1i
1. Ping test, send IP messages
2. Get Excelan board statistics
3. All Tests
4. Run-Time Options 
5. Exit
.be
.bs Ethernet Controller Self-Test 
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The Ethernet Controller Self-Test will check and exercise
the hardware and firmware components of the EXOS 301 
Intelligent Ethernet Controller, ensuring that the board
is functioning properly (communication capability over
the Ethernet itself is not tested).
.be
.us Subsystem Components Tested
.bd i .5i
- +12 V supply
- EPROM checksum
- RAM test
- Counter test
- Interrupt test
- Transmission test
- Receive test
- Local loopback data path test
- CRC test
- Bus timeout test
- Ethernet chip test
- iSBX connector hardware test
- Transceiver test
.be
.us Special Procedures or Prompts
.bd i .5i
"Ethernet Controller Board Self Test"
.be
.us Error Reporting
.bd i .5i
Passed:
ETHERNET CONTROLLER SELF-TEST PASSED

Failed:
EXCELAN: SELF-TEST FAILED;
EXCELAN: SELF-TEST FAILED: BOARD NOT RESPONDING
.be
.es
.bs Ping test, send IP messages
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Tests the ability of the 301 Ethernet Controller Card to send
messages to/from another device across the network.
.be
.us Subsystem Components Tested
.bd i .5i
- Excelan board ethernet driver/receivers
.be
.us Special Procedures or Prompts
.bd i .5i
"Ethernet Controller Board Ping Test

 Enter a machine to send packets to, [<cr> for default: bfly-vax.bbn.com]"
.be
.us Error Reporting
.bd i .5i
Passed:
(Transmission packets and packet information) followed by:
ETHERNET PING TEST PASSED

Failed:
(Transmission packets followed by error information) followed by:
ETHERNET PING TEST FAILED
.be
.es
.bs Get Excelan board statistics
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Exercises the ethernet board RAM, and capability to execute
remote commands, as well as displaying ethernet statistics
on number of packets transmitted without error, number of
re-transmitted messages, number of failed transmission due
to priority delay, etc.
.be
.us Subsystem Components Tested
.bd i .5i
- Excelan Controller Board RAM
- Excelan Board Multibus Interface
.be
.us Special Procedures or Prompts
.bd i .5i
"Ethernet Controller Board Stats Test"
.be
.us Error Reporting
.bd i .5i
Passed:
(Ethernet Statistics) followed by:
ETHERNET STATS TEST PASSED

Failed:
(Unix system error) followed by:
ETHERNET STATS TEST FAILED
HANG (TIMEOUT) DURING ETHERNET STATISTICS COLLECTION
.be
.es
.es
.bs EXCELAN 301 PHASE I DIAGNOSTIC COVERAGE
Minor features not covered:
.bd i .5i
- Ethernet Promiscuous Mode
- Many of the Ethernet only functions
  (Address recognition, retry, backoff,
   CRC, etc.)
.be
.es
.es
.pa
.bs SYSTECH TERMINAL CONTROLLER DIAGNOSTICS (SUBSYSTEM  #4)
.bs SUBSYSTEM #4 DIAGNOSTIC DESCRIPTION
     The diagnostics for the SYSTECH Subsystem are invoked by 
selecting option 4 in Figure 5.  The following menu will
appear if in stand-alone mode:

.ce 
TERMINAL CONTROLLER SUBSYSTEM SELF-TEST/BASIC DIAGNOSTICS
.bd i 1i
1. HOST ADAPTER SELF-TEST
2. HOST ADAPTER RAM TEST
3. HOST ADAPTER LED TEST
4. All Tests
5. Run-Time Options 
6. Exit
.be
If running in MACH, the following menu appears:

.ce 
TERMINAL CONTROLLER SUBSYSTEM OPERATIONAL DIAGNOSTICS
.bd i 1i
1. CLUSTER CONTROLLER HARDWARE LOOPBACK TEST
2. MULTIPLE LINE HARDWARE LPBK TEST
3. HOST ADAPTER SOFTWARE LPBK TEST
4. CLUSTER CONTROLLER SOFTWARE LPBK TEST
5. ALL TESTS
6. RUN-TIME OPTIONS
7. EXIT
.be
.bs Host Adapter Self-Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The purpose of this test is to invoke the HOST ADAPTER firmware-
resident self-tests and report pass/fail results back to 
the user.  The self-tests are comprehensive and are intended 
to catch and diagnose almost all errors short of catastrophic 
ones such as a non-operating on-board crystal oscillator or 
malfunction of power to the Host Adapter board.
.be
.us Subsystem Components Tested
.bd i .5i
- EPROM
- RAM
- Token Bus Network RAM
- Token Bus Network COM-9026 Controller Chip
- Real-Time Clock/Master Oscillator
- DMA Controller Chip  (6860 only)
- MPCC/RS232 Interface (6860 only)
.be
.us Special Procedures or Prompts
.bd i .5i
Terminal Controller Board Self Test
.be
.us Error Reporting
.bd i .5i
Passed:
(A series of messages along the following order):
HOST ADAPTER SUB-TEST PASSED: CODE 0xXX..., followed by:
HOST ADAPTER SELF-TEST PASSED

Failed:
HOST ADAPTER SELF-TEST FAILED: Code 0xXX

where XX is a two-digit hex code identifying which part of the test
failed.  The error codes range in value from 81 hex to B1 hex and can
be found in the HOST ADAPTER Technical Manual no. 80-000136-8-00,
Revision A., Appendix D.  The special error code value of 01 implies
that the self-test never got off the ground, indicating a catastrophic
HOST ADAPTER error such as power failure, CPU failure, etc., OR that
HOST ADAPTER/Host communications have failed.

HOST ADAPTER SELF-TEST FAILED: BOARD NOT RESPONDING
.be
.es
.bs HOST ADAPTER RAM TEST
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
In order to further verify that the Host Adapter is 'alive', 
this diagnostics exercises the Multibus- accessible RAM on the 
Adapter board (not all of the RAM is Multibus-accessible).
.be
System Components Tested
.bd i .5i
- Host Adapter Multibus Interface Logic
- Host Adapter Multibus-accessible RAM
.be
.us Special Procedures or Prompts
.bd i .5i
"Terminal Controller Board Multibus-accessible RAM Test"
.be
.us Error Reporting
.bd i .5i
Passed:
HOST ADAPTER MULTIBUS-ACCESSIBLE RAM TEST PASSED;

Failed:
HOST ADAPTER MULTIBUS-ACCESSIBLE RAM TEST FAILED;
RAM LOCATION: XXXXXX; EXPECTED: XXXX  ACTUAL: XXXX
                     -or-
RAM LOCATION: XXXXXX; EXPECTED: XXXX  ACTUAL: BUS ERROR
.be
.es
.bs HOST ADAPTER LED Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
The manufacturer's firmware-resident self-tests do 
not provide an LED test for the HOST ADAPTER.  This 
diagnostic will exercise the on-board tri-color LED, 
which is used during power-up and self-test.  This
diagnostic will cause the HOST ADAPTER LED to flash.
.be
.us Subsystem Components Tested
.bd i .5i
- HOST ADAPTER tri-color LED.
- HOST ADAPTER MULTIBUS INTERFACE
.be
.us Special Procedures or Prompts
.bd i .5i
"Terminal Controller Board LED Test"
.be
.us Error Reporting
.bd i .5i
Pass or Fail:
PLEASE CHECK IF THE LED IS NOT FLASHING

Failed:
HOST ADAPTER LED TEST FAILED: BOARD NOT RESPONDING
.be
.es
.bs CLUSTER CONTROLLER HARDWARE LOOPBACK TEST
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The purpose of the hardware loopback test is to verify the 
path from a CLUSTER CONTROLLER port to the Butterfly and
back by sending out a burst of characters to a particular
port and reading back the results.
.be
.us Subsystem Components Tested
.bd i .5i
- CLUSTER CONTROLLER UNDER TEST
- HOST ADAPTER
- PATH FROM CLUSTER CONTROLLER TO GP1000
.be
.us Special Procedures or Prompts
.bd i .5i
"Cluster Controller Hardware Loopback Test"

 Enter tty line to test, [<cr> for default: /dev/tty00]"

After port address has been entered:
"Insert loopback plug into tty line /dev/ttyXX.
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
(Series of all ASCII printable characters) followed by:
HARDWARE LOOPBACK TEST PASSED;

Failed:
HARDWARE LOOPBACK TEST FAILED;
THE FILE TTYxx ISN'T A CHAR-SPECIAL DEVICE
HANG DURING OPEN/SETTING OF TTYxx
SENT CHAR 0xXX, RECEIVED CHAR 0xXX
LOST CHAR: SENT N CHARS, GOT M BACK
.be
.es
.bs Multiple line hardware loopback test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The multiple line hardware loopback test is similar to the
previous test (Cluster Controller hardware loopback test) except
that a series of terminal lines are tested sequentially.
.be
.us Subsystem Components Tested
.bd i .5i
- CLUSTER CONTROLLER UNDER TEST
- HOST ADAPTER
- PATH FROM CLUSTER CONTROLLER TO GP1000
.be
.us Special Procedures or Prompts
.bd i .5i
"Multiple-line Hardware Loopback Test

 Enter first tty line to test, [<cr> for default: 0]
 Enter last tty line to test, [<cr> for default: 10]
 Insert loopback plugs into tty lines /dev/tty0xXX to /dev/tty0xXX
 Hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
"Testing /dev/tty0xXX...

Passed:
(Series of all ASCII printable characters) followed by:
LOOPBACK TEST (ON /dev/tty0xXX) PASSED

If all tty lines passed:
MULTI-LINE LOOPBACK TEST PASSED

Failed:
LOOPBACK TEST (ON /dev/tty0xXX) FAILED

If any tty line failed:
MULTI-LINE LOOPBACK TEST FAILED
.be
.es
.bs HOST ADAPTER software loopback test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Tests the loopback path from GP1000 to HOST ADAPTER
without actually sending characters out to the CLUSTER
CONTROLLER itself (internal loopback to HOST ADAPTER).
.be
.us Subsystem Components Tested
.bd i .5i
HOST ADAPTER INTERNAL PATH TO CLUSTER CONTROLLERS
.be
.us Special Procedures or Prompts
.bd i .5i
"Terminal Controller Board Software Loopback Test"
.be
.us Error Reporting
.bd i .5i
Passed:
(Message referring to number of characters sent and average speed 
 of transmission), followed by:
HOST ADAPTER LOOPBACK TEST PASSED

Failed:
HOST ADAPTER LOOPBACK FAILED
.be
.es
.bs CLUSTER CONTROLLER software loopback test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Tests the integrity of the CLUSTER CONTROLLER port
without actually sending characters out the port
(internal CLUSTER CONTROLLER loopback test).
.be
.us Subsystem Components Tested
.bd i .5i
- Path from GP1000 to HOST ADAPTER
- Path from HOST ADAPTER TO CLUSTER CONTROLLER AND BACK
.be
.us Special Procedures or Prompts
.bd i .5i
"Cluster Controller Software Loopback Test

 Enter Cluster Controller to test, [<cr> for default: 1]"
.be
.us Error Reporting
.bd i .5i
Passed:
(Message referring to number of characters sent and average speed
of transmission), followed by:
CLUSTER CONTROLLER LOOPBACK TEST PASSED

Failed:
CLUSTER CONTROLLER LOOPBACK TEST FAILED
.be
.es
.es
.bs HOST ADAPTER/CLUSTER CONTROLLER PHASE I DIAGNOSTIC COVERAGE
Minor features not covered:
.bd i .5i
- System Clocks on both Host Adapter
  and Cluster Controllers
- Full-confidence RAM testing on Cluster
  Controller
.be
.es
.es
.pa
.bs CIPRICO TM1000 TAPE DRIVE CONTROLLER/CIPHER TAPE DIAGNOSTICS (SUBSYSTEM #5) 
.bs SUBSYSTEM #5 DIAGNOSTIC DESCRIPTION
     The CIPRICO TM1000/CIPHER Diagnostics are invoked by selecting item
5 from the Menu in Figure 5.  The following submenu appears if in
stand-alone mode:

.ce 
1/2-INCH TAPE DRIVE SUBSYSTEM SELF-TEST/BASIC DIAGNOSTICS
.bd i 1i
 1. 1/2" Tape Drive Controller Self-Test #1
 2. 1/2" Tape Drive Controller Self-Test #2
 3. 1/2" Tape Drive Reset Test
 4. 1/2" Tape Drive Security Erase Test
 5. 1/2" Tape Drive Read Status Test
 6. 1/2" Tape Drive Rewind Test
 7. 1/2" Tape Drive Self-Test
 8. All Tests
 9. Run-Time Options 
10. Exit
.be
If running on MACH, the following operational diagnostic menu appears:

.ce 
1/2-INCH TAPE DRIVE SUBSYSTEM OPERATIONAL DIAGNOSTICS
.bd i 1i
1. 1/2" Tape Drive Read/Write Test
2. 1/2" Tape Drive Archive Test
3. 1/2" Tape Drive EOF Test
4. 1/2" Tape Drive Write Protect Test
5. 1/2" Tape Drive Rewind Test 
6. All Tests
7. Run-Time Options 
8. Exit
.be
.bs CIPRICO Tape Drive Controller Self-Test #1
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This Self-Test covers about 50% of the CIPRICO TM1000 hardware.
.be
.us Subsystem Components Tested
.bd i .5i
- CIPRICO local RAM
- Checksum of PROM
- On-board FIFO 
- CIPHER Tape Drive Interface Logic.
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Controller Board Self Test #1"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE CONTROLLER SELF-TEST #1 PASSED

Failed:
1/2" TAPE DRIVE CONTROLLER SELF-TEST #1 FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs CIPRICO Tape Drive Controller Self-Test #2
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
This self-test covers an additional 25% of the CIPRICO TM1000
hardware (beyond that of Self-Test #1).
.be
.us Subsystem Components Tested
.bd i .5i
- Parameter Block and Internal Register Testing
- Board Error Register Test
- Board Status Register Test
- Tape Status Register Test
- Multibus Interface Test
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Controller Board Self Test #2"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2 TAPE DRIVE CONTROLLER SELF-TEST #2 PASSED

Failed:
1/2 TAPE DRIVE CONTROLLER SELF-TEST #2 FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs 1/2-inch Tape Drive Reset Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Tests the ability of the Tape Controller to
reinitialize the Tape Drive to a quiescent
state.
.be
.us Subsystem Components Tested
.bd i .5i
- Multibus Interface
- Tape Drive Interface Logic
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Reset Drive Test"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE RESET TEST PASSED

Failed:
1/2" TAPE DRIVE RESET TEST FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs 1/2-inch Tape Drive Security Erase Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Tests the ability of the Tape Drive to perform
an erase of the entire tape to several feet
beyond EOT.
.be
.us Subsystem Components Tested
.bd i .5i
- Multibus Interface
- Tape Drive Erase Circuitry
- Tape Drive Interface Logic
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Security Erase Test"

After test has started:

"Security Erase in progress: ERASE to beyond EOT.
 The Tape Controller should now be indicating 'ACTIVE' on the
 front panel.  If it isn't, the test has either failed or
 the tape is already at EOT and the test has already finished
 (When this test is run in a loop, iterations after the first loop
 will not display the 'ACTIVE' signal since the tape is already
 at EOT).

 It should take approximately four minutes for the 'ACTIVE' indica-
 tion signal to go out.  Four minute wait..."
.be
.us Error Reporting
.bd i .5i
Passed:
1/2 "TAPE DRIVE ERASE TEST PASSED

Failed:
1/2" TAPE DRIVE ERASE TEST FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs 1/2-inch Tape Drive Read Status Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Tests the ability of the Tape Controller to read the
Tape Drive Status.
.be
.us Subsystem Components Tested
.bd i .5i
- Multibus Interface
- Tape Drive Interface Logic
- Internal Registers of Controller and Drive
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Drive Status Test"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE RESET TEST PASSED, followed by these
parameters:
  - Drive Ready Status
  - Beginning of Tape indication
  - End of Tape indication
  - Rewind Status
  - On-Line Status
  - Density select status 
  - Speed select status
  - Write Protect status 
  - Data Encode status
  - Gap Head Status
    and certain tape control/bus signal fields;

Failed:
1/2" TAPE DRIVE RESET TEST FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs 1/2-inch Tape Drive Rewind Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Tests the ability of the tape to rewind.
.be
.us Subsystem Components Tested
.bd i .5i
- Multibus Interface
- Rewind motor/Blower motor
.be
.us Special Procedures or Prompts
.bd i .5i
"1/2" Mag Tape Rewind Test

 (NOTE: executing the SECURITY ERASE test prior to this test
        will insure that the tape is at EOT, forcing the REWIND
        to actually take place."

After the test has started:
"REWIND now in progress.
 The Tape Controller should be flashing "REWIND'G" on the
 front panel, unless the test has already finished.
 REWIND'G should flash for approximately 1 minute if ERASE
 test was run prior to this test; otherwise, it will flash for
 a shorter period.  1 minute wait..."
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE REWIND TEST PASSED

Failed:
1/2" TAPE DRIVE REWIND TEST FAILED: 
ERROR BIT SET IN IOPB GATE FIELD OR ADAPTOR STATUS REG.
     ERROR CODE: IOPB GATE FIELD = 0xXX;
     ERROR CODE: ERROR CODE REG  = 0xXX;

where XX represents the error code.  The error
codes range in value from 01 hex to 24 hex and from 80 
hex to 91 hex and can be found in CIPRICO TapeMaster 
1000 Product Specification Manual no. 21010082, Revision B,
Appendix C.

TAPE CONTROLLER TIMED OUT ON RESET
TAPE CONTROLLER REPORTED ILLEGAL BUSY STATUS
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER REPORTED TIMEOUT ON PARAMETER BLOCK ACKNOWLEDGE
GATE COMPLETE BIT NOT SET ON PARAMETER BLOCK EXECUTION
TAPE CONTROLLER IOPB EXECUTION ERROR
TAPE CONTROLLER BOARD NOT RESPONDING
.be
.es
.bs 1/2-inch Tape Drive Self-Test
.us Type
.bd i .5i
STANDALONE (Self-Test/Basic)
.be
.us Purpose
.bd i .5i
Invokes the self-test resident on the tape drive
itself (as opposed to the controller).
.be
.us Subsystem Components Tested
.bd i .5i
- Supply and take-up motors along with related servo circuits
- Analog ARM output voltage
- File protect/reel seat
- BOT, EOT, and Tape-in-Path sensor circuits
- Door lock and hub lock solenoids
- Front panel and top cover lock solenoid
- Blower motor
- Tape Drive Read/Write Capability
.be
.us Special Procedures or Prompts
.bd i .5i
"Remove tape prior to running the following tests!
 Check to see that the On-Line indicator is off.  If the
 indicator is on, press the On-Line switch to switch the unit
 to an off-line mode; 
 Hit spacebar to continue:"

The operator is prompted to invoke the self-test
manually via screen directions and the tape drive
front panel interface;
.be
.us Error Reporting
.bd i .5i
The Front Panel Interface on the Tape Drive indicates
pass/fail status of each separate diagnostic.
.be
.es
.bs 1/2-Inch Tape Drive Read/Write Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
This diagnostic verifies that the CIPHER Tape Drive can 
read and write blocks of data.
.be
.us Subsystem Components Tested
.bd i .5i
- CIPRICO on-board DMA
- Parameter Block System Memory Transfer
- Cipher Tape Drive Interface Logic
- Cipher Tape Drive
.be
.us Special Procedures or Prompts
.bd i .5i
"Magnetic Tape Read/Write Test

 This test writes data to the tape reel and requires
 the use of a scratch magnetic tape;
 'A' to abort or 'C' to continue:"

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rmt0'): "
"Insert scratch magtape; hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE READ/WRITE TEST PASSED

Failed:
1/2" TAPE DRIVE READ/WRITE TEST FAILED
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
TAPE DRIVE READ ERROR
TAPE DRIVE WRITE ERROR
DATA MISCOMPARE ERROR ($A5,$5A,$0F,$F0,$00,$FF,$29,$60)
HANG (TIMEOUT) DURING OPEN/IOCTL/CLOSE OF TAPE DEVICE
.be
.es
.bs 1/2-inch Tape Drive Archive Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
Tests the ability of the Tape Drive to TAR
large files to and from the tape reel.
.be
.us Subsystem Components Tested
.bd i .5i
- Multibus Interface
- Read/Write Capability of Tape Drive
- Status Lines between Tape Drive and BMA
.be
.us Special Procedures or Prompts
.bd i .5i
"Magnetic Tape Archive Test

 This test writes data to the device and requires the use
 of a scratch tape. 'A' to abort; 'C' to continue:"

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rmt0'): "
"Short or long version of test [s/l]?: "
"Insert tape; hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
(TAR output messages), followed by:
1/2" TAPE ARCHIVE TEST PASSED

Failed:
(TAR error message), followed by:
1/2" TAPE ARCHIVE TEST FAILED

OPEN ERROR ON FILES UNDER TEST
CREATE FAILURE ON TEST FILES
DISK WRITE FAIL ON FILES UNDER TEST
TAR READ ERROR
TAR WRITE ERROR
DATA COMPARE ERROR DURING READBACK
HANG (TIMEOUT) DURING ARCHIVE WRITE ON TAPE DEVICE; 
   CHECK CABLE CONNECTIONS
.be
.es
.bs 1/2-inch Tape Drive EOF Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The EOF (End-Of-File) test verifies that the 1/2"
tape drive can write and detect end-of-file marks.
.be
.us Subsystem Components Tested
.bd i .5i
CIPRICO End-Of-File detection circuitry
.be
.us Special Procedures or Prompts
.bd i .5i
"Magnetic Tape End-of-File Test

 This test writes a seris of filemarks to a tape and requires
 the use of a scratch tape"

"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rmt0'): "
"Insert scratch tape; hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE EOF TEST PASSED;

Failed:
1/2" TAPE DRIVE EOF TEST FAILED
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
TAPE DRIVE READ EOF ERROR
TAPE DRIVE WRITE EOF ERROR
TAPE DRIVE EOF SEARCH ERROR
HANG (TIMEOUT) DURING OPEN/IOCTL/CLOSE OF TAPE DEVICE
.be
.es
.bs 1/2-inch Tape Drive Write Protect Test
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose
.bd i .5i
The write protect test verifies that the 1/2" tape
drive and controller will not write to the tape with
the write protect mechanism in place.
.be
.us Subsystem Components Tested
.bd i .5i
Write Protect Mechanism
.be
.us Special Procedures or Prompts
.bd i .5i
"Magnetic Tape Write Protect Test"

 This test has the potential to destroy Mag Tape
 data and requires the use of a scratch tape;
 "A' to abort or "C' to continue: "

If continue:
"Enter password:"

If password is correct:
"Enter name of tape device (default: 'rmt0'): "

"Remove the write-enable ring on the magnetic tape
 and place the tape in the tape drive; hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE WRITE PROTECT TEST PASSED;

1/2" TAPE WRITE PROTECT TEST FAILED;
OPEN ERROR ON DEVICE UNDER TEST
WRITE PROTECT ERROR
HANG (TIMEOUT) DURING OPEN OF TAPE DEVICE (CHECK CABLE CONNECTIONS)
.be
.es
.bs 1/2-inch Tape Drive Rewind Test 
.us Type
.bd i .5i
MACH (Operational/Functional)
.be
.us Purpose 
.bd i .5i
The purpose of the rewind test is to exercise particular
electro-mechanical components of the tape drive and to further 
test the controller/drive interface.
.be 
.us Subsystem Components Tested 
.bd i .5i
- CIPHER Tape Drive
- Tape Drive Interface
.be 
.us Special Procedures or Prompts 
.bd i .5i
"Magnetic Tape Rewind/Erase Tape"

"Enter name of tape device (default: 'rmt0'): "
"Insert tape; hit spacebar to continue:"
.be
.us Error Reporting
.bd i .5i
Passed:
1/2" TAPE DRIVE REWIND TEST PASSED

1/2" TAPE DRIVE REWIND TEST FAILED:
OPEN ERROR ON DEVICE UNDER TEST
CLOSE ERROR ON DEVICE UNDER TEST
HANG (TIMEOUT) DURING OPEN/ERASE/CLOSE OF TAPE DEVICE
HANG (TIMEOUT) DURING REWIND
WRITE ERROR
.be
.es
.es
.bs CIPRICO TM1000/CIPHER PHASE I DIAGNOSTIC COVERAGE
Minor features not covered:
.bd i .5i
- Overlapped Rewind Command
- Variable Length Erase Command
- Variable Length Erase to EOT Command
- Space Data Records Command
- Scatter/Gather Commands
.be
.es
.es
.pa
.bs ACRONYMS
.bd i .5i
- BMA    Butterfly Multibus Adapter
- CC     (SYSTECH HPS) Cluster Controller
- DTM    Diagnostic Test Module
- DUART  Dual Universal Asynchronous Receiver/Transmitter
- HPS    High-Performance Serial
- HPSHA  High-Performance Serial Host Adapter
- SCSI   Small Computer System Interface 
- MPCC   Multi-Protocol Communication Controller
.be
.es
.TC
