/****************************************************************************
 **                                                                        **
 **    File:           gracie.h                                            **
 **    Author:         Roger Preston                                       **
 **    Created:        Mon Dec 19 11:46:07 EST 1988                        **
 **    Contents :      Header file for the Gracie command environment      **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.                                                **
 **                                                                        **
 ****************************************************************************/
#define NFILES 51
#define N_ARGS   6
#define LINE_LEN 80
#define NULL_DUMP_CMD 300
#define MAXNUMCHLD 100
#define MAXNAMLEN 30


typedef int(*FUNC_PTR)();


#define plural(n) ((n==1) ? "" : "s")



/* Structures for the command line scanner and parser */

struct dump_cmd_definition
{
  char *cmd_name;
  FUNC_PTR cmd_func;
  long pass_msg_count;
  char *help_msg;
};


struct input_line
{
  short cm_type;
  char buf[LINE_LEN];
  short index;
  char *arg[N_ARGS];
  long val[N_ARGS];
  long decval[N_ARGS];
  int argc;
  short loop;
  short non_stop;
  long pass_count;
};


/* Structure for children pid table */
struct cpid
{
  int pid;
  char name[MAXNAMLEN];
};
