/****************************************************************************
 **                                                                        **
 **    File:           ttyio.c                                             **
 **    Author:         Roger Preston (modifications only)                  **
 **    Created/Copied: Mon Dec 19 11:07:52 EST 1988                        **
 **    Contents :      Routines to handle I/O to console                   **
 **                                                                        **
 **    Copyright (c) 1988 BBN Communications Corp.                         **
 **    All rights reserved.         o                                       **
 **                                                                        **
 **    Taken from command parser/intrepreter ('george') originally written **
 **    by Guy Fedorkow and modified by Bob Clements for use on ACI But-    **
 **    terfly II.                                                          **
 **                                                                        **
 ****************************************************************************/
#include <stdio.h>
#include "tmp4.h"
#include "tmp1.h"
#include "tmp3.h"

extern int keyboard_redirected;
extern FILE *do_file;


/*****************************************************************************
 * TTY routines for put and get char from command routines.                  *
 * Deal with input from redirection and/or from a "do" command file.         *
 *****************************************************************************/
cpu_getc()
{
  register int ch;
  
  if (do_file != (FILE *)NULL) 
  {
    while (TRUE) 	    /* Here if reading a DO file */
    {                       /* Loop until get a char or eof/error */
      ch = fgetc(do_file);
      switch(ch) {
	case '\n':
	  ch = '\r';          /* Newline = console RETURN */
	  break;
	
	case '\r':          /* Discard CR, ^Z, EOF */
	case 0x1a:
	case EOF:
	  ch = UNDEFINED;
	  break;
	
	default:
	  break;
      }                      /* End switch statement */
      
      if (ch != UNDEFINED)
	return(ch);
      
      /* If get here with UNDEFINED, loop around again unless EOF or ERROR */
      
      if ((feof(do_file)) || (ferror(do_file))) 
      {
	fclose(do_file);
	do_file = (FILE *)NULL;
	return('\r');      /* Must return a char, cpu_kbhit said so */
      }
    }  /* End WHILE TRUE */
  }  /* End IF DO_FILE */

  if(keyboard_redirected) 
  {
    ch = getchar();
    if(ch == EOF) {
      printf("[End of input command file.]\n");
      exit(0);
    }
    return(ch);
  }

/***********
  if(kbhit()) 
  {
    ch = getch();
************/
    ch = getchar();    /* stdio */
    return(ch);
/************
  }
  else
    return(UNDEFINED);
*************/
}



cpu_putc(ch)
char ch;
{
/******
    putch(ch);
******/
  putchar(ch);      /* stdio */
}

int cpu_kbhit()
{
  if (do_file != (FILE *)NULL)
    return(TRUE);
  if (keyboard_redirected)
    return(TRUE);

/******
  return(kbhit());
******/
  return(TRUE);    /* This may not work!! */
}



int yorn()  /* yes or no response */
{
    register int ch;

    do {
	ch = cpu_getc();
    } while (ch == UNDEFINED);

    cpu_putc(ch);                   /* Echo the response */

    if ((ch == 'y') || (ch == 'Y'))
        return(TRUE);
    return(FALSE);
}
